<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('episode', function (Blueprint $table) {
            $table->boolean('interpolated')->default(0)->after('legacy_stream');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('episode', function (Blueprint $table) {
            $table->dropColumn('interpolated');
        });
    }
};
